## emdebian-tools 0.7.0

=== Makefile ===

all:

install:

clean:
	$(RM) *tar.gz.cdbs-config_list

check:

test:

## emdebian-tools 0.2.0

=== debian/changelog ===
emdebian-tools (0.2.0) unstable; urgency=low

  * Debian release incorporating Emdebian changes in v0.1x.
  * [INTL:pt] Updated Portuguese translation for debconf messages
    (Closes: #416414)
  * [l10n] Updated Czech translation of emdebian-tools debconf messages
    (Closes: #416532)
  * [INTL:ru] Russian debconf templates translation (Closes: #416592)
  * [INTL:ml] Malayalam debconf translation (Closes: #416607)
  * [INTL:fr] French debconf templates translation (Closes: #417148)
  * [INTL:de] initial German debconf translation (Closes: #417602)
  * [INTL:pt_BR] Brazilian Portuguese debconf PO translations 
    (Closes: #418225)
  * [INTL:it] Italian debconf template translation (Closes: #418373)

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Apr 2007 22:52:01 +0100

emdebian-tools (0.1.5) unstable; urgency=low

  * Use ucf to handle changes to configuration files.
  - remove lintian override, #406731 is now closed.
  - Improve determination of $suite variable
  - Only add a primary mirror if an apt-cache test fails.
  - Document changes in manpages.

 -- Neil Williams <codehelp@debian.org>  Fri, 06 Apr 2007 18:09:23 +0100

emdebian-tools (0.1.4) unstable; urgency=low

  * Interim Emdebian release.
  - Improved behaviour in a chroot
  - use maintainer scripts to add Emdebian repository
  - extra dependencies from debootstrap experiments

 -- Neil Williams <codehelp@debian.org>  Tue, 03 Apr 2007 20:27:32 +0100

emdebian-tools (0.1.3) unstable; urgency=low

  * Interim Emdebian release.
  - Fix emdebuild bugs when ~/.devscripts is absent
  - Migrate all manpage XML to UTF-8
  - New debconf question for users who prefer aptitude to apt-get
  - Document need for a 'primary debian mirror' to catch the few
  cases where the installation uses a mirror with a limited number
  of supported architectures.
  - Explain more about failures if the wrong working directory is
  specified by the user in debconf.

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Mar 2007 00:42:28 +0100

emdebian-tools (0.1.2) unstable; urgency=low

  * Emdebian interim release to expand support for new arches.
  emdebuild: incorporate .changes into .build logs.
  emsetup:   handle new arches cleanly.

 -- Neil Williams <codehelp@debian.org>  Mon, 26 Mar 2007 12:45:54 +0100

emdebian-tools (0.1.1) unstable; urgency=low

  * Emdebian release to match with repository changes. 

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Mar 2007 09:52:56 +0100

emdebian-tools (0.1.0) unstable; urgency=low

  * Debian release. Fix handling of unknown architectures,
  fix update of apt-cross cache data between arches and
  use cleaner error messages.
  * [INTL:ja] Japanese debconf templates translation (Closes: #414297)

 -- Neil Williams <codehelp@debian.org>  Sun, 11 Mar 2007 17:12:33 +0000

emdebian-tools (0.0.5) unstable; urgency=low

  * Fix bug in emsource checkout.
  - Avoid calling emlocale with emdebuild. 
  (internal emdebian release)

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Feb 2007 23:34:24 +0000

emdebian-tools (0.0.4) unstable; urgency=low

  * New release. Adds emsource (with debconf questions) and
  fixes bugs in emlocale. Added dependency on Config::Auto
  and subversion.
  * Add [INTL:pt] Portuguese translation for debconf messages
  (Closes: #409083)
  * Add [l10n] Czech translation of emdebian-tools debconf messages
  (Closes: #409087)
  * [INTL:nl] Dutch debconf templates translation (Closes: #410197)

 -- Neil Williams <codehelp@debian.org>  Thu,  8 Feb 2007 18:32:30 +0000

emdebian-tools (0.0.3) unstable; urgency=low

  * Initial Debian release. (Closes: #405961: ITP: emdebian-tools -- emdebian
    crossbuilding tool set - Debian Bug report logs)

 -- Neil Williams <codehelp@debian.org>  Tue, 23 Jan 2007 21:59:30 +0000

emdebian-tools (0.0.2) unstable; urgency=low

  * Remove udeb packages from debian/control.
  - Improve patch creation.

 -- Neil Williams <codehelp@debian.org>  Sun,  7 Jan 2007 17:45:18 +0000

emdebian-tools (0.0.1) unstable; urgency=low

  * Initial release for emdebian.

 -- Neil Williams <codehelp@debian.org>  Fri,  8 Dec 2006 16:58:39 +0000

=== debian/control ===
Source: emdebian-tools
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf
Standards-Version: 3.7.2
XS-X-Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-tools/trunk/
XS-X-Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-tools/trunk/

Package: emdebian-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, apt-cross, binutils, gawk,
 debhelper (>= 5), dpkg-cross,  dpkg-dev (>= 1.13.9), fakeroot, flex, automake,
 libfile-homedir-perl, libwww-perl, sudo, dpatch, autoconf, realpath,
 libconfig-auto-perl, debconf, gcc, libparse-debianchangelog-perl, ucf
Recommends: subversion
Description: emdebian crossbuilding tool set
 A collection of scripts to ease cross-building Debian packages for
 Emdebian, reducing package size, separating translations into 
 individual files and handling dependencies. The main scripts include:
 .
 emsetup : Check your system for cross-build support and determine some
 defaults for other emdebian-tools scripts. Run this first, using the 
 simulate option, to see what changes may be needed.
 .
 emchain : Toolchain builder for cross compiling. If a pre-built 
 toolchain is not found or not available, emchain can build a custom 
 toolchain for your needs using the current Debian version of gcc.
 .
 em_make : Emdebianise a Debian package. Creates suitable changelog 
 entries, omits certain debhelper scripts from debian/rules and 
 maintains a patchset for emdebian. Removes all documentation and udeb 
 packages from debian/control.
 .
 emlocale : Moves all translations out of the Debian package(s) and into
 individual locale packages, allowing the embedded user to only install 
 the translations that are relevant to that system. First run is via 
 em_make, subsequent runs can be used to update the list of available 
 translation packages.
 .
 emdebuild : Emdebian version of debuild that handles cross-building the
 emdebianised tree. Requires a suitable cross-building toolchain to be
 installed for the requested architecture, e.g. gcc-4.1-arm-linux-gnu,
 available from the emdebian tools repository via emsetup or built for
 your particular configuration using emchain.
 .
 Homepage: http://www.emdebian.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originally written by Robert Millan.
# This file is public domain.
  
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/perlmodule.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

## emdebian-tools 0.7.0

=== debian/changelog ===
emdebian-tools (0.7.0) unstable; urgency=low

  * check empdebuild status as well as emdebuild
  * emsource: add build-dep option that is passed down to emdebuild (but
    not empdebuild)
  * emsource: install (or check) apt-get build deps as well as cross
  * emsource: use catch_no_dir in --where to locate the actual directory
  * use the apt-cross quiet mode if emdebuild --quiet also set
  * empdebuild: disable colours in called perl scripts and allow use as
    root, not just sudo
  * emdebuild: allow patch files that contain '+' and other wildcards
  * emlocale: handle file content separately from control content to
    allow missing po files to be packaged
  * emlocale: handle translations for packages that are not actually in
    the archive too.
  * embuildstats: simple report tool (new script)

 -- Neil Williams <codehelp@debian.org>  Tue, 11 Dec 2007 12:03:53 +0000

emdebian-tools (0.6.3) unstable; urgency=low

  * empdebuild: proceed if no debian-patch*.patch files exist
  * emsource: add --where-is and --status commands

 -- Neil Williams <codehelp@debian.org>  Sat, 08 Dec 2007 13:13:05 +0000

emdebian-tools (0.6.2) unstable; urgency=low

  * embootstrap: support old and new versions of debootstrap
  * embootstrap: Add support for relocating the machine directory
  * emchain: use DEB_CROSS instead of DEB_CROSS_INDEPENDENT
  * emsource: ensure --arch argument is passed to the cache
  * Update standards version (no changes)
  * empdebuild: use all the patches, including debian-patch*.patch

 -- Neil Williams <codehelp@debian.org>  Fri, 07 Dec 2007 20:22:48 +0000

emdebian-tools (0.6.1) unstable; urgency=low

  * Ignore comments in build tests
  * Add debootstrap scripts for gtk and gpe
  * emlocale: handle control.in substution macros
  * emdebuild: work around for packages that are Architecture: all with
    a .pc file
  * emsandbox: typo in usage info
  * embootstrap: adapt to debootstrap changed layout

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Nov 2007 21:34:48 +0000

emdebian-tools (0.6.0) unstable; urgency=low

  * emdebuild: Add tests for maintainer scripts
  * emdebuild : use -sa with --next
  * pbuilder/empdebuild : ensure devscripts are handled after build
    place is created
  * pbuilder/empdebuild : add --login-after-fail option
  * pbuilder/empdebuild: turn off recommends and automatic removal 
    in apt dist-upgrade
  * pbuilder/empdebuild: Use the apt-cross -k option to save repeated 
    downloads

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2007 18:38:33 +0000

emdebian-tools (0.5.4) unstable; urgency=low

  * em_make: Fix annoying bug when changelog cannot be applied - em_make
    corrupts .old
  * emsource : migrate prepare_pristine into the module
  * emlocale : Use XC-Package-Type: tdeb
  * emsetup : check toolchains with edos-debcheck
  * em_make : use prepare_pristine to help building packages from
    outside Debian
  * emlocale: check the po/ directory for updates as well as
    repositories

 -- Neil Williams <codehelp@debian.org>  Sun, 11 Nov 2007 19:14:12 +0000

emdebian-tools (0.5.3) unstable; urgency=low

  * Interim Emdebian release
  * typo in DEB_BUILD_OPTIONS
  * allow translation files to match even if filename is not identical
    to source
  * some locales use ucfirst after @, some do not. Use i in the match.

 -- Neil Williams <codehelp@debian.org>  Wed, 07 Nov 2007 11:54:41 +0000

emdebian-tools (0.5.2) unstable; urgency=low

  * Support native builds
  * Add dependencies on build tools and patch systems
  * Stop enforcing -B option to dpkg if not for arm
  * Check for hostname -f support for chroot usage
  * Prevent emlocale tinkering with debian/rules

 -- Neil Williams <codehelp@debian.org>  Sat, 03 Nov 2007 14:11:05 +0000

emdebian-tools (0.5.1) unstable; urgency=low

  * Probably best to depend on latest libcache-apt-perl for recent fixes
  * emlocale: Allow scanning of existing locale upstream packages
  * Change emdebuild behaviour to ignore native build dependencies,
     add --build-dep support to install cross build dependencies.
  * set a usable fstab file and use the new archive-keyring for the
    emdebian key

 -- Neil Williams <codehelp@debian.org>  Fri, 02 Nov 2007 11:15:31 +0000

emdebian-tools (0.5.0) unstable; urgency=low

  * New Debian release.
  * Cannot build armeb cross compiler (Closes: #440064)
  * include all available sources in bug script
  * improve emchain source version failure message
  * ensure the host cache is updated in emsetup
  * emdebian-tools depends on debconf *twice*; blocks cdebconf
    transition (Closes: #448476)

 -- Neil Williams <codehelp@debian.org>  Tue, 30 Oct 2007 12:22:19 +0000

emdebian-tools (0.4.3) unstable; urgency=low

  * [INTL:vi] Vietnamese debconf templates translation update
    (Closes: #447259)
  * migrate to new debootstrap support
  * [INTL:pt] Updated Portuguese translation for debconf messages
    (Closes: #447385)
  * migrate to libcache-apt-perl 0.3.2
  * use realpath to show the location of the changes file
  * [l10n] Updated Czech translation of emdebian-tools debconf messages
    (Closes: #447437)
  * removing glibc-gconv and gcc-4.2-base, adding gnupg
  * fix typo in emsecondstage call to new debootstrap function
  * add note on how SHELL and /etc/passwd affect chroot in Debian
  * enable hooks for emsandbox
  * enable hooks for emsecondstage
  * [INTL:de] updated German debconf translation (Closes: #447634)
  * export DEBCONF_USE_CDEBCONF to allow cdebconf to act as debconf
  * allow gccross to be symlinked to gcc even if gcc is a symlink
  * Outline support for machine-type and variant customisations within
    emsandbox
  * Include skeleton copies of the customisation scripts
  * allow modifications to files in debian/patches

 -- Neil Williams <codehelp@debian.org>  Sat, 27 Oct 2007 17:45:26 +0100

emdebian-tools (0.4.2) unstable; urgency=low

  * Interim Emdebian release
  * [INTL:gl] Galician debconf template translation for emdebian-tools


=== debian/control ===
Source: emdebian-tools
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: po-debconf, xsltproc, xml-core, libxml2-utils, docbook-xsl
Standards-Version: 3.7.3
Homepage: http://www.emdebian.org/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-tools/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-tools/trunk/

Package: emdebian-tools
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, automake, apt, apt-cross (>= 0.5.0),
 binutils-multiarch, cdbs, dbs, debhelper (>= 5), debootstrap (>= 1.0.4),
 devscripts, dpatch, dpkg-cross (>= 2.0.0), dpkg-dev (>= 1.14.7), edos-debcheck,
 fakeroot, gcc, g++, pbuilder, sudo, quilt, ucf,
 libcache-apt-perl, libconfig-auto-perl, libfile-homedir-perl,
 libparse-debianchangelog-perl, libtext-diff-perl, libwww-perl
Recommends: subversion
Suggests: deb-gview, meld
Description: emdebian crossbuilding tool set
 A collection of scripts to ease cross-building Debian packages for
 Emdebian, reducing package size, separating translations into
 individual tdeb packages and handling dependencies. Includes support for
 installing cross building toolchains and building custom toolchains,
 automated patching of Debian packages to suit Emdebian needs,
 preparing root filesystems for Emdebian or specific machines and
 variants and cross building Debian packages inside or outside a chroot.
 .
 Run emsetup first, using the simulate option, to see what changes
 may be needed.
 .
 Includes support for debian/xcontrol files to specify which
 Build-Cross-Depends packages to install with apt-cross.

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,12 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/perlmodule.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
+
+build/emdebian-tools::
+	./genmanpages
+	install -d debian/emdebian-tools/usr/share/bug/emdebian-tools/
+	install -m 0755 debian/buginfo.sh debian/emdebian-tools/usr/share/bug/emdebian-tools/script
+
+clean::
+	debconf-updatepo
+

## emdebian-tools 1.4.3

=== Makefile ===

all:

install:

clean:
	$(RM) *tar.gz.cdbs-config_list
	$(RM) *.1 *.3

check:

test:

=== debian/changelog ===
emdebian-tools (1.4.3) unstable; urgency=low

  * [INTL:sv] po-debconf file for emdebian-tools (Closes: #492752)
  'svn merge -r 4580:4581'
  * Remove mountall because it shuts down process 1 - without runlevels,
    this means shut down the system. r4672+r4675 (superceded by r4711
    which in turn is part of the fix for #494622 below).
  * two suite scripts force installation of conflicting packages
    (Closes: #494622) fix by dropping sysv-rc. Therefore complete the
    implementation of the replacement for the perl update-rc.d script
    from sysv-rc in shell across all suite scripts: r4711. Ensure 
    /etc/rc.d/ exists for shell update-rc.d support: r4699. Implement
    shell replacement for update-rc.d: r4677 (this was the commit that
    omitted to make the change across all suite scripts, requiring r4711).
  * Implement fix for #491917 in history.php as well  as the original
    buildd.php

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Aug 2008 14:57:11 +0100

emdebian-tools (1.4.2) unstable; urgency=low

  * Skip Emdebian changes in 1.4.2

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Aug 2008 14:38:44 -0300

emdebian-tools (1.4.1) unstable; urgency=low

  * PHP local file inclusion  (Closes: #491917)
  * [INTL:nl] Updated debconf templates translation for Dutch 
  (Closes: #492072)

 -- Neil Williams <codehelp@debian.org>  Wed, 23 Jul 2008 21:24:06 +0100

emdebian-tools (1.4.0) unstable; urgency=low

  * Bug fix Debian release
  * buildd/em_autobuild : unset -e in single package mode too, allows an
    external loop and preserves the log file.
  * buildd/buildd.php : allow + in package names
  * buildd/history.php : Add a historical view of previous logs
  * emsource : Add non-interactive to svn list as well
  * FTBFS: ./doc/genmanpages: line 26: xml2po: command not found
    (Closes: #490323)
  * emsource : allow + in version strings in status output
  * buildd/buildd.php : Add a summary table with colours.
  * emdebuild: add the OR dependencies for apt-cross to sort out.
  * pbuilder/emsecondstage : allow some initial commands to fail so that
    the configure run is at least started each time

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Jul 2008 17:03:31 +0100

emdebian-tools (1.3.0) unstable; urgency=low

  * Merge Emdebian changes into Debian package
  * buildd/em_autobuild: Add a single-package mode
  * pbuilder/emdebian.gtk, pbuilder/emdebian.gpe: Add xfonts-base and
    dependencies to allow X to start
  * buildd/status.php : Wrap the emtargetcmp output into a webpage
  * emsource : set svn --non-interactive when cleaning patches
  * suggest wiggle - docs on how to use it to follow
  * bashism in /bin/sh script (Closes: #489572)
  * pbuilder/embootstrap : use /bin/bash for pbuilder compatibility
  * checks/emdebian, checks/emdebian.desc : Add new maintainer-scripts-
    calls-unsupported-executable tag for flexibility in which
    executables are not supported
  * pbuilder/empbuilderlib : Always add the control file to status - the
    order of the lines does not matter, as long as the lines exist.
    (Prevents errors with apt-cache show and apt-get upgrade)
  * checks/emdebian : only check the maintainer scripts once per package
  * Remove set_busybox_path as putting symlinks into /bin/busyboxln/bin/
    turned out to be a bad idea
  * buildd/em_autobuild : run emtargetcmp for status output after each
    build
  * emdebuild : silence a lintian warning with TDebs, clean up after
    apt-cross in case of some conflicts
  * buildd/upload_handler.sh : Recommend -qLzrc instead of -qza for
    rsync so that symlinks are respected

 -- Neil Williams <codehelp@debian.org>  Tue, 08 Jul 2008 12:33:44 +0100

emdebian-tools (1.2.2) unstable; urgency=low

  * Interim Emdebian release
  * debian/control : Revert depends on libc6-dev-i386 - implement via
    emsetup instead
  * Emdebian/Tools.pm emsetup : Implement a check in emsetup for libc6-
    dev-i386 on amd64 as part of the toolchain
  * bash/em_autobuild : support silent mode

 -- Neil Williams <codehelp@debian.org>  Sun, 22 Jun 2008 22:35:51 +0100

emdebian-tools (1.2.1) unstable; urgency=low

  * Interim Emdebian release
  * checks/emdebian: improved regexp for grep -w type checks.
  * debian/control: Add depends on libc6-dev-i386 - needed for packages
    like ntp, avahi, gnome-vfs and others.
  * emprunecross: Also remove packages that failed to install by
    checking for unpacked packages
  * emdebuild : correctly return the exitval if the build fails
  * emsource : correctly return the emdebuild exitval if the build fails

 -- Neil Williams <codehelp@debian.org>  Thu, 19 Jun 2008 21:57:42 +0100

emdebian-tools (1.2.0) unstable; urgency=low

  * New Debian release, incorporating interim Emdebian releases
     since 1.1.0.

 -- Neil Williams <codehelp@debian.org>  Wed, 18 Jun 2008 14:08:25 +0100

emdebian-tools (1.1.6) unstable; urgency=low

  * Interim Emdebian release
  * bash/upload_handler.sh : New example script for uploading autobuilt
    packages and build logs
  * pbuilder:empbuilderlib: drop support for emtarget - scripts parse
    the build log for the relevant embug output data instead
  * Add verbose and arch options to emtargetcmp
  * emsource: help the autobuilder by outputting the version string even
    if the patches fail to apply
  * emdebcheck : drop unprintable characters.
  * emrecent : Only support one changes file at a time in noninteractive
    mode for improved error tracking
  * bash/upload_handler.sh : Ignore TDeb .changes if target .changes
    failed in emrecent
  * emchain : Fix typo in uclibc handling - thanks to Bernhard Fischer
    for spotting it.

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Jun 2008 18:16:21 +0100

emdebian-tools (1.1.5) unstable; urgency=low

  * Interim Emdebian release.
  * bash/em_autobuild : Add per package log support with timestamps.
  * pbuilder/emdebian.buildd : update dependency on libpcap
  * update standards version - no changes


=== debian/control ===
Source: emdebian-tools
Section: utils
Priority: extra
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: cdbs, debhelper (>= 5), po-debconf, po4a
Build-Depends-Indep: docbook-xsl, gnome-doc-utils, libxml2-utils, xml-core, xsltproc
Standards-Version: 3.8.0
Homepage: http://www.emdebian.org/
Vcs-Browser: http://buildd.emdebian.org/svn/browser/current/host/trunk/emdebian-tools/trunk/
Vcs-Svn: http://buildd.emdebian.org/repos/current/host/trunk/emdebian-tools/trunk/

Package: emdebian-tools
Section: utils
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, automake | automake1.9, cdbs,
 dbs, debhelper, dpatch, dpkg-dev (>= 1.14.17), emdebian-rootfs,
 fakeroot, gcc, gettext, g++, lintian, lsb-release,
 quilt, subversion, sudo, ucf, whiptail | zenity,
 libdebian-dpkgcross-perl (>= 2.2.1), libcache-apt-perl (>= 0.9.1),
 libemdebian-tools-perl (= ${source:Version}), libparse-debcontrol-perl,
 libsoap-lite-perl, libtext-formattable-perl
Recommends: less
Suggests: deb-gview, debian-xcontrol, dput, file-roller, meld, mutt,
 reportbug, rsync, trickle, wiggle
Description: emdebian crossbuilding tool set
 A collection of scripts to ease cross-building Debian packages for
 Emdebian, reducing package size, separating translations into
 individual tdeb packages and handling dependencies. Includes support for
 installing cross building toolchains and building custom toolchains,
 automated patching of Debian packages to suit Emdebian needs
 and cross building Debian packages inside or outside a chroot
 .
 Run emsetup first, using the simulate option, to see what changes
 may be needed.
 .
 Includes support for debian/xcontrol files and the debian-xcontrol
 package, to specify which cross dependencies need to be installed
 with apt-cross to make the cross objects available to the cross compiler.
 .
 Includes experimental support for creating a uClibc toolchain from an
 existing glibc/gcc toolchain for the same target architecture.
 .
 Includes cross-building autobuilder support, example buildd report
 script and upload handler.

Package: emdebian-archive-keyring
Section: utils
Priority: extra
Architecture: all
Depends: ${misc:Depends}, apt, gnupg
Replaces: emdebian-tools (<< 0.9.0)
Description: GnuPG archive keys for the emdebian repository
 Emdebian digitally signs its Release files. This package
 contains the archive key used for that.

Package: emdebian-rootfs
Section: utils
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apt, apt-cross (>= 0.5.0),
 binutils-multiarch, debootstrap (>= 1.0.4), dpkg-cross (>= 2.1.0),
 devscripts, emdebian-archive-keyring, edos-debcheck,
 libemdebian-tools-perl (= ${source:Version}), pbuilder, sudo, ucf
Replaces: emdebian-tools (<< 0.9.0)
Suggests: deb-gview, debian-xcontrol, screen | minicom
Description: emdebian root filesystem support
 Scripts for preparing root filesystems of Emdebian for specific
 machines and variants.

Package: libemdebian-tools-perl
Section: perl
Priority: extra
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, debhelper (>= 5),
 libcache-apt-perl (>= 0.7.1), libconfig-auto-perl, libdebian-dpkgcross-perl,
 libparse-debcontrol-perl, libparse-debianchangelog-perl, libtext-diff-perl,
 libfile-homedir-perl, libio-compress-zlib-perl (>= 2.011-1), libwww-perl
Replaces: emdebian-tools (<< 0.9.0)
Description: emdebian support library
 Collection of functions used by emdebian scripts.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,7 @@
 include /usr/share/cdbs/1/rules/simple-patchsys.mk
 
 build/emdebian-tools::
-	./genmanpages
-	install -d debian/emdebian-tools/usr/share/bug/emdebian-tools/
-	install -m 0755 debian/buginfo.sh debian/emdebian-tools/usr/share/bug/emdebian-tools/script
+	./doc/genmanpages
 
 clean::
 	debconf-updatepo
